from aiogram import Router
from aiogram.filters import Command
from aiogram.types import Message
from aiogram.utils.formatting import (
    Bold,
    HashTag,
    as_key_value,
    as_list,
    as_marked_section,
)

router = Router()


@router.message(Command('help'))
async def games(message: Message):
    """Хэндлер выбора игры"""
    content = as_list(
        as_marked_section(
            Bold('Реализованный функционал'),
            'Эхо_бот',
            'Генератор случайных чисел',
            'Разворот строки',
            'Обработчик приветствия',
            'Эхо видеозаметкой',
            'API Запросы к deeppavlov.ai',
            'Получения адреса и погоды по геометке',
            '3 игры',
            marker='✅ ',
        ),
        as_marked_section(
            Bold('Команды:'),
            as_key_value('...', 'Бот вернет написанный текст'),
            as_key_value('/rand', 'Вернет число от 0 до 100'),
            as_key_value('/reverse', 'Запросит строку и развернет ее'),
            as_key_value('...', 'Приветствует user, если написать волшебное слово'),
            as_key_value('...', 'Вернет video_note, если отправить видео'),
            as_key_value('/ask', 'Отправит запрос к апи и вернет ответ'),
            as_key_value('...', 'Вернет адрес и погоду, если отправить свои гео'),
            as_key_value('/games', 'Выведет кнопки для запуска игр'),
            as_key_value('/help', 'Вывод этой справки'),
            marker='  ',
        ),
        HashTag('#shitbot'),
        sep='\n\n',
    )
    await message.answer(**content.as_kwargs())
